qsig(1B)

NAME
qsig - signal a PBS batch job

SYNOPSIS
qsig [-s <signal>] <job ID> [<job ID> ...]
qsig --version

DESCRIPTION
The qsig command sends a signal to all the processes of the specified jobs. The qsig command sends a Signal Job batch request to the server which owns the job. The qsig command can be used for jobs, job arrays, subjobs, and ranges of subjobs. If it is used on a range of subjobs, the running subjobs in the range are signaled. Not all signal names are recognized by qsig ; if using a signal name does not work, try issuing the signal number instead. Using admin-suspend and admin-resume
If you have a vnode requiring maintenance while remaining powered up, where you do not want jobs running during the maintenance, you can use the special signals admin-suspend and admin-resume to suspend and resume the jobs on the vnode. When you use admin-suspend on a vnode's job(s), the vnode goes into the maintenance state, and its scheduler does not schedule jobs on it. You must separately admin-suspend each job on the vnode. When its last admin-suspended job is admin-resumed, a vnode leaves the maintenance state. Restrictions
The request to signal a job is rejected if:

-   The user is not authorized to signal the job

-   The job is not in the running or suspended state

-   The requested signal is not supported by the system upon which the job is executing

-   The job is in the process of provisioning

-   You attempt to use admin-resume on a job that was suspend ed

-   You attempt to use resume on a job that was admin-suspend ed

Required Privilege
Manager or Operator privilege is required to use the admin-suspend, admin-resume, suspend, or resume signals. Unprivileged users can use other signals.

OPTIONS

-s  PBS sends SIGTERM to the job.

-s <signal>
    PBS sends signal signal to the job.

--version
    The qsig command returns its PBS version information and exits. This option can only be used alone.

SIGNALS
You can send standard signals to a job, or the special signals described below. The signal argument can be in any of the following formats:
    A signal name, e.g. SIGKILL The signal name without the SIG prefix, e.g. KILL An unsigned signal number, e.g. 9
The signal name SIGNULL is allowed; in this case the server sends the signal 0 to the job, which has no effect. Special Signals
The following special signals are all lower-case, and have no associated signal number:

admin-suspend
    Suspends a job and puts its vnodes into the maintenance state. The job is put into the S state and its processes are suspended. When suspended, a job is not executing and is not charged for walltime.
    Syntax: qsig -s admin-suspend <job ID>

admin-resume
    Resumes a job that was suspended using the admin-suspend signal, without waiting for its scheduler. Cannot be used on jobs that were suspended with suspend signal.
    Syntax: qsig -s admin-resume <job ID>

suspend
    Suspends specified job(s). Job goes into suspended (S) state. When suspended, a job is not executing and is not charged for walltime.

resume
    Marks specified job(s) for resumption by a scheduler when there are sufficient resources. If you use qsig -s resume on a job that was suspended using qsig -s suspend , the job is resumed when there are sufficient resources. Cannot be used on jobs that were suspended with admin_suspend signal.

OPERANDS
The qsig command accepts one or more job ID operands. For a job, this has the form:
    <sequence number>[.<server name>][@<server name>]
For a job array, job ID takes the form:
    <sequence number>[][.<server name>][@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

STANDARD ERROR
The qsig command writes a diagnostic messages to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all the operands presented to the qsig command

Greater than zero
    If the qsig command fails to process any operand

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qsub(1B), pbs_sigjob(3B), pbs_resources(7B)